# !/bin/bash
START_DIR=$(pwd)
SCRIPT_DIR_TMP=$(dirname "$0")
SCRIPT_DIR=$(cd "${SCRIPT_DIR_TMP}"; pwd)
cd "${SCRIPT_DIR}"
i=0
while [ $i -lt 3 ]
do
	stty -echo
	read -p "Password:" password
	stty echo
	echo ""
	
	printf "%s\n" $password | sudo -S echo "Password is correct"	 2 > /dev/null  1> /dev/null
	if [ $? -ne 0 ]; then
		let i++
	else
	   echo “Password is correct“	
		i=10
	fi
done

if [ $i -lt 4 ]; then
    echo "Too many invalid passwords"
	exit 1
fi
	# ----------------------------------------------------------------------------------------------------------------------
	# 打印一行,宽度为INFO_LINECOUNT, $3......$3$2
	# ----------------------------------------------------------------------------------------------------------------------
	function printEndLine () {
	    local preCount_c=$(expr $(echo "${1}" | wc -c) - 1)
	    local preCount_m=$(expr $(echo "${1}" | wc -m) - 1)
	    local preCount_t=$(expr ${preCount_c} - ${preCount_m})
	    local preCount=$(expr ${preCount_c} - ${preCount_t} / 2)

	    local postCount_c=$(expr $(echo "${2}" | wc -c) - 1)
	    local postCount_m=$(expr $(echo "${2}" | wc -m) - 1)
	    local postCount_t=$(expr ${postCount_c} - ${postCount_m})
	    local postCount=$(expr ${postCount_c} - ${postCount_t} / 2)

	    local midCount=$(expr 80 - ${preCount} - ${postCount})
	    local midChar=" "
	    if [ "X${3}" = "X" ];then
	        midChar=" "
	    else
	        midChar=${3:0:1}
	    fi  

	    if [ ${midCount} -lt 0 ];then
	        printf "%s\n" "${2}"
	    else
	        for (( ; midCount > 0; midCount--))
	        do
	            printf "${midChar}"
	        done 
	        printf "%s\n" "${2}"
	    fi

	}

error=0
if [ -f "/Library/LaunchDaemons/self.laozhiang.startwifi.plist" ];then
    printf "Deleting /Library/LaunchDaemons/self.laozhiang.startwifi.plist"
	sudo rm /Library/LaunchDaemons/self.laozhiang.startwifi.plist
	if [ $? -ne 0 ]; then
	    error=1
	    printEndLine "Delete /Library/LaunchDaemons/self.laozhiang.startwifi.plist" "【Fail】." "."
	else
	    printEndLine "Deleted /Library/LaunchDaemons/self.laozhiang.startwifi.plist" "【Success】." "."
	fi
fi
if [ -d "/Library/Scripts/StartWiFi/" ];then
    printf "Deleting /Library/Scripts/StartWiFi"
	sudo rm -R /Library/Scripts/StartWiFi
	if [ $? -ne 0 ]; then
	    error=1
	    printEndLine "Delete /Library/Scripts/StartWiFi" "【Fail】." "."
	else
	    printEndLine "Deleted /Library/Scripts/StartWiFi" "【Success】." "."
	fi
fi

if [ -f "/usr/local/StartWiFi/StartWiFi-A.sh" ];then
    printf "Deleting /usr/local/StartWiFi/StartWiFi-A.sh"
	sudo rm /usr/local/StartWiFi/StartWiFi-A.sh
	if [ $? -ne 0 ]; then
	    error=1
	    printEndLine "Delete /usr/local/StartWiFi/StartWiFi-A.sh" "【Fail】." "."
	else
	    printEndLine "Deleted /usr/local/StartWiFi/StartWiFi-A.sh" "【Success】." "."
	fi
fi

if [ -d "/Users/Shared/MenubarTools/" ];then
    printf "Deleting /Users/Shared/MenubarTools/"
	sudo rm -R /Users/Shared/MenubarTools/
	if [ $? -ne 0 ]; then
	    error=1
	    printEndLine "Delete /Users/Shared/MenubarTools/" "【Fail】." "."
	else
	    printEndLine "Deleted /Users/Shared/MenubarTools/" "【Success】." "."
	fi
fi

if [ $error -ne 0 ]; then
    echo "Sorry，Uninstall Fail! Please manually Delete the failed files.........."
    exit 1
else
    echo "..........Congratulation! Successfully Uninstalled.........."
fi
